# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=libversion
pkgver=3.0.2
pkgrel=0
pkgdesc='Advanced version string comparison library'
url='https://github.com/repology/libversion'
license=('MIT')
arch=('amd64')
makedepends=('cmake')
subpackages=('$pkgname-dev')
source=("${pkgname}-${pkgver}.tar.gz::https://github.com/repology/libversion/archive/${pkgver}.tar.gz")
sha256sums=('14776f2ea2e7e8883641fd18416d25a75860afe46397130b6d52290420856600')

build() {
  cmake -B build -S "libversion-${pkgver}" \
    -D CMAKE_INSTALL_PREFIX=/usr

  cmake --build build
}

package() {
  DESTDIR="${pkgdir}" cmake --install build
}
